Update a managed workflow

Base URL
https://{kibana_url}
  • PUT /api/workflows/managed/workflow/{id}
  • PUT /s/{space_id}/api/workflows/managed/workflow/{id}
Auth

Partially update an existing managed workflow. This elevated route can update fields beyond the enabled state.

Required privileges

Privileges workflowsManagement:update and workflowsManagement:managed:update

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · max length: 255 required

Workflow ID

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

description string
enabled boolean
name string
tags string[]
yaml string

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}